org.h2.command.ddl

## Class Analyze

- java.lang.Object
- - org.h2.command.Prepared
  - - org.h2.command.ddl.DefineCommand
    - - org.h2.command.ddl.Analyze

    public class Analyze
    extends DefineCommand

This class represents the statements ANALYZE and ANALYZE TABLE

### Field Summary

### Fields inherited from class org.h2.command.ddl.DefineCommand

`transactional`

### Fields inherited from class org.h2.command.Prepared

`create, parameters, prepareAlways, session, sqlStatement, sqlTokens`

### Constructor Summary

Constructors
Constructor and Description
`Analyze(SessionLocal session)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `analyzeTable(SessionLocal session, Table table, int sample, boolean manual)` Analyze this table.
`int` `getType()` Get the command type as defined in CommandInterface
`void` `setTable(Table table)`
`void` `setTop(int top)`
`long` `update()` Execute the statement.

### Methods inherited from class org.h2.command.ddl.DefineCommand

`isReadOnly, isTransactional, queryMeta, setTransactional`

### Methods inherited from class org.h2.command.Prepared

`checkCanceled, checkParameters, collectDependencies, getCteCleanups, getCurrentRowNumber, getObjectId, getParameters, getPersistedObjectId, getPlanSQL, getSession, getSimpleSQL, getSQL, getSQLTokens, isCacheable, isQuery, isWithParamValues, needRecompile, prepare, query, setCommand, setCteCleanups, setCurrentRowNumber, setParameterList, setPersistedObjectId, setPrepareAlways, setRow, setSession, setSQL, setWithParamValues, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Analyze

    public Analyze(SessionLocal session)

### Method Detail

#### setTable

    public void setTable(Table table)

#### update

    public long update()

Description copied from class: `Prepared`
Execute the statement.

Overrides:
  `update` in class `Prepared`
Returns:
  the update count

#### analyzeTable

    public static void analyzeTable(SessionLocal session,
                                    Table table,
                                    int sample,
                                    boolean manual)

Analyze this table.

Parameters:
  `session` - the session
  `table` - the table
  `sample` - the number of sample rows
  `manual` - whether the command was called by the user

#### setTop

    public void setTop(int top)

#### getType

    public int getType()

Description copied from class: `Prepared`
Get the command type as defined in CommandInterface

Specified by:
  `getType` in class `Prepared`
Returns:
  the statement type